%global pypi_name py2neo

%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        3.1.2
Release:        3%{?dist}
Summary:        A Python library that provides access to Neo4j

Group:          Development/Languages
License:        ASL 2.0
URL:            http://py2neo.org/

Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# https://github.com/nigelsmall/py2neo/pull/583
Patch0:         python-py2neo-disable-geoff.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Py2neo is a library for accessing Neo4j databases from within Python.

%if 0%{?with_python3}
%package     -n python3-%{pypi_name}
Summary:        A Python library that provides access to Neo4j
Group:          Development/Languages
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
Py2neo is a library for accessing Neo4j databases from within Python.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1

%build
%if 0%{?with_python3}
%py3_build
%endif

%py2_build

%install
%if 0%{?with_python3}
%py3_install
rm %{buildroot}%{_bindir}/*
%endif

%py2_install

# Remove hashbang line from non-executable library files
find \
    %{buildroot}%{python2_sitelib}/%{pypi_name} \
    %{buildroot}%{python2_sitelib}/neokit.py \
    %{buildroot}%{python3_sitelib}/%{pypi_name} \
    %{buildroot}%{python3_sitelib}/neokit.py \
    -type f -iname "*.py" -print0 | while IFS= read -r -d $'\0' lib
do
    sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

%files
%license LICENSE NOTICE
%{_bindir}/*
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE NOTICE
%{python3_sitelib}/*
%endif

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.1.2-2
- Rebuild for Python 3.6

* Sun Nov 27 2016 Marcus Karlsson <mk@acc.umu.se> - 3.1.2-1
- Update to 3.1.2

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5-2
- make python3 subpackage standalone, renaming scripts to foo-python3
- remove executable bits and extraneous shebangs

* Wed Jun 19 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.5-1
- update to upstream release 1.5
- add missing BR
- remove redundant build variables
- add custom man pages (generated with help2man)

* Sat Mar 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.6-1
- initial package
